ROHTO BUGS - Bug #1844

[HR-ASSIGNMENT] template upload assignment tidak mengisi kolom organisasi di master data
assignment

11/29/2022 03:19 PM - Muhammad Bintar

Status: Closed Start date: 11/29/2022

Priority: High Due date: 12/05/2022

Assignee: Saswanto Tampan % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

dear tim developer mohon supportnya untuk perbaikan pada engine untuk generate organisasi karena pada saat mengupload
template assignment tidak mengenerate organisasi sehingga pada employee master data tidak tampil informasi nya.

Employee Master Data

Home « Emp aster Data

Employee Overview - 00000029 - Nova Herlina

Employee 1D: 00000029 Company 1D: ROHTO
Full Mame: Nova Herlina Employee Offlce: Head Office
Employee Status: Actlve Organization:

Employee Type: Permanent Position: Purchasing Deputy Manager

database sql server 2019
remote.minovais.com, 1458

contoh employeeid nya 00000029

History

#1 - 11/30/2022 12:19 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 12/14/2022 11:06 AM - Muhammad Bintar
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar

update trigger query:

CREATE TRIGGER [dbo].[SetPA20rganization]
ON [dbo].PHRPA0002

AFTER INSERT,UPDATE

AS

BEGIN

DECLARE @now VARCHAR
SET @now = dbo.fn_formatdatetime(GETDATE, 'yyyymmdd')
update PHRPAQ002 set Organization = (

SELECT top(1) RelationshipObject

FROM PHROMO0002

WHERE (ObjectID = Position) AND (ObjectClass = 'P') AND (RelationshipClass = 'O") AND StartDate < =@now and EndDate >= @now
YWHERE Organization IS NULL OR Organization =" OR Organization="-" AND (Position !="-"OR Position!=" OR Position IS NOT NULL)

END

#3 - 12/14/2022 11:07 AM - Muhammad Bintar
- File clipboard-202212141107-qc59j.png added
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan
Employee Master Data

HOME = EMPLOYEE MASTER DATA
Employee Overview - 00000767 - Bramadi Purba
Employes I0: 00000767 Company ID: ROHTO
Full Name: Eramadi Purba Employes Office: Head Office
Emplayes Status Active Crganization Human Resource HO
Organization Management Employes Type Parmanent Pasition: Human Resource Staff
Files
assignment 00000029.xls 10.2 KB 11/29/2022 Muhammad Bintar
clipboard-202211291519-bkdli.png 60.9 KB 11/29/2022 Muhammad Bintar
clipboard-202212141107-qc59j.png 107 KB 12/14/2022 Muhammad Bintar
